Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageConnector Class Reference

`#include <vtkImageConnector.h>`

Inheritance diagram for vtkImageConnector:

[legend]
Collaboration diagram for vtkImageConnector:

[legend]
List of all members.

## Detailed Description

Create a binary image of a sphere.

Date:
  2002/12/11 14:26:22

Revision:
  1.22

vtkImageConnector is a helper class for connectivity filters. It is not meant to be used directly. It implements a stack and breadth first search necessary for some connectivity filters. Filtered axes sets the dimensionality of the neighbor comparison, and cannot be more than three dimensions. As implemented, only voxels which share faces are considered neighbors.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (73%)
  - Martin, Ken (7%)
  - Schroeder, Will (6%)
  - Avila, Lisa (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageConnector.cxx)`
  - .`h` (`/Imaging/vtkImageConnector.h)`

Definition at line 69 of file vtkImageConnector.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageConnectorSeed * | NewSeed (int index[3], void *ptr)
void | AddSeed (vtkImageConnectorSeed *seed)
void | AddSeedToEnd (vtkImageConnectorSeed *seed)
void | RemoveAllSeeds ()
void | MarkData (vtkImageData *data, int dimensionality, int ext[6])
virtual void | SetConnectedValue (unsigned char)
virtual unsigned char | GetConnectedValue ()
virtual void | SetUnconnectedValue (unsigned char)
virtual unsigned char | GetUnconnectedValue ()
## Static Public Methods
vtkImageConnector * | New ()
int | IsTypeOf (const char *type)
vtkImageConnector * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageConnector ()
| ~vtkImageConnector ()
vtkImageConnectorSeed * | PopSeed ()
## Protected Attributes
unsigned char | ConnectedValue
unsigned char | UnconnectedValue
vtkImageConnectorSeed * | Seeds
vtkImageConnectorSeed * | LastSeed

## Member Typedef Documentation

typedef vtkObject vtkImageConnector::Superclass

| Reimplemented from vtkObject. Definition at line 74 of file vtkImageConnector.h.

## Constructor & Destructor Documentation

vtkImageConnector::vtkImageConnector | ( |  | ) | `[protected]`

vtkImageConnector::~vtkImageConnector | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageConnector* vtkImageConnector::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageConnector::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkImageConnector::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkImageConnector::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkImageConnector* vtkImageConnector::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkImageConnector::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkImageConnectorSeed* vtkImageConnector::NewSeed | ( | int | index[3],
|  | void * | ptr
| ) |

void vtkImageConnector::AddSeed | ( | vtkImageConnectorSeed * | seed | ) |

void vtkImageConnector::AddSeedToEnd | ( | vtkImageConnectorSeed * | seed | ) |

void vtkImageConnector::RemoveAllSeeds | ( |  | ) |

virtual void vtkImageConnector::SetConnectedValue | ( | unsigned | char | ) | `[virtual]`

| Values used by the MarkRegion method

virtual unsigned char vtkImageConnector::GetConnectedValue | ( |  | ) | `[virtual]`

| Values used by the MarkRegion method

virtual void vtkImageConnector::SetUnconnectedValue | ( | unsigned | char | ) | `[virtual]`

| Values used by the MarkRegion method

virtual unsigned char vtkImageConnector::GetUnconnectedValue | ( |  | ) | `[virtual]`

| Values used by the MarkRegion method

void vtkImageConnector::MarkData | ( | vtkImageData * | data,
|  | int | dimensionality,
|  | int | ext[6]
| ) |

| Input a data of 0's and "UnconnectedValue"s. Seeds of this object are used to find connected pixels. All pixels connected to seeds are set to ConnectedValue. The data has to be unsigned char.

vtkImageConnectorSeed* vtkImageConnector::PopSeed | ( |  | ) | `[protected]`

## Member Data Documentation

unsigned char vtkImageConnector::ConnectedValue`[protected]`

| Definition at line 103 of file vtkImageConnector.h.

unsigned char vtkImageConnector::UnconnectedValue`[protected]`

| Definition at line 104 of file vtkImageConnector.h.

vtkImageConnectorSeed* vtkImageConnector::Seeds`[protected]`

| Definition at line 108 of file vtkImageConnector.h.

vtkImageConnectorSeed* vtkImageConnector::LastSeed`[protected]`

| Definition at line 109 of file vtkImageConnector.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageConnector.h